FROM alpine:3.18.2

RUN apk add --no-cache --virtual .fetch-deps \
    libffi-dev openssl-dev python3 python3-dev musl-dev gcc ca-certificates

WORKDIR /app

COPY . /app
RUN rm -rf venv
RUN mkdir -p /data/project
RUN python3 -m venv venv

RUN source venv/bin/activate

RUN sed -i 's/dc=wikimedia,dc=org/dc=wmftest,dc=net/g' maintain_kubeusers/utils.py

RUN venv/bin/pip install -r requirements.txt
RUN venv/bin/pip install tox
RUN venv/bin/pip install pytest pytest-vcr pytest-mock

CMD ["venv/bin/python", "maintain_kubeusers_cli.py" , "--once", "--debug"]
